/* 
*
* Copyright (C) 2007,2010 Wei Lian <lianwei3 at gmail.com>
*
* This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#include "config.h"
#include "header.h"
//Added by qt3to4:
#include <QLabel>

Config::Config(QWidget * parent, const char *name):Q3VBox(parent, name,
							 Qt::WType_Dialog)
{
    QSettings settings;


    Q3HBox *hbox = new Q3HBox(this);


    hbox = new Q3HBox(this);
    QLabel *label = new QLabel(tr("Channels url:"), hbox);
    editchannelurl =
	new QLineEdit(settings.
		      readEntry("/qsopcast/channelurl",
				"http://channel.sopcast.com/gchlxml"),
		      hbox);

    hbox = new Q3HBox(this);
    label = new QLabel(tr("Channels url header:"), hbox);
    editchannelheader =
	new QLineEdit(settings.
		      readEntry("/qsopcast/channelheader", "sop://"),
		      hbox);
    editchannelheader->setReadOnly(TRUE);

    hbox = new Q3HBox(this);
    QPushButton *buttonsave = new QPushButton(tr("Save"), hbox);
    QPushButton *buttonclose = new QPushButton(tr("Close"), hbox);
    connect(buttonclose, SIGNAL(clicked()), this, SLOT(close()));
    connect(buttonsave, SIGNAL(clicked()), this,
	    SLOT(onButtonSaveClicked()));

    adjustSize();
    setMinimumWidth(300);

}

void
 Config::onButtonSaveClicked()
{
    QSettings settings;
    settings.writeEntry("/qsopcast/channelurl", editchannelurl->text());
    settings.writeEntry("/qsopcast/channelheader",
			editchannelheader->text());

    close();
}
