/* 
*
* Copyright (C) 2007,2010 Wei Lian <lianwei3 at gmail.com>
*
* This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include <qapplication.h>
#include <qtextcodec.h>
//Added by qt3to4:
#include <QTranslator>
#include "mainwindow.h"
#include "channel.h"
#include "tabwidget.h"
#include "pagechannel.h"
int
main (int argc, char **argv)
{
   QApplication a (argc, argv);

   //choose language
   QString code (QTextCodec::locale ());
   QTranslator translator;
   translator.load (QString ("language_") + code.left (2),
		    "/usr/local/include/qsopcast/");
   a.installTranslator (&translator);

   MainWindow w;
//    QObject::connect(&a, SIGNAL(aboutToQuit()), &w,
//                   SLOT(onbuttonstopclicked()));
   QSettings settings;
   w.resize (settings.readNumEntry ("/qsopcast/width", 370),
	     settings.readNumEntry ("/qsopcast/height", 450));
   a.setMainWidget (&w);
   w.show ();
   static_cast<PageChannel*>(w.tabwidget->widget(0))->buttonchannel->setOn(true);
   ///set time seed
   srand ((unsigned) time (NULL));

   return a.exec ();
}
