#ifndef HEADER_H
#define HEADER_H

#include <unistd.h>
#include <vlc/vlc.h>
#include <qapplication.h>
#include <qtabwidget.h>
#include <q3vbox.h>
#include <q3hbox.h>
#include <q3listview.h>
#include <qlabel.h>
#include <qslider.h>
#include <qpushbutton.h>
#include <qlineedit.h>
#include <q3http.h>
#include <qbuffer.h>
#include <qregexp.h>
#include <q3process.h>
#include <qstatusbar.h>
#include <qtimer.h>
#include <qsettings.h>
#include <qpalette.h>
#include <qsocketnotifier.h>
#include <q3socket.h>
#include <qmenubar.h>
#include <qradiobutton.h>
#include <qmessagebox.h>
#include <qdom.h>
#include <qtoolbutton.h>

#include <sys/stat.h>
#include <sys/types.h>
#include <sys/ioctl.h>
#include <sys/socket.h>

enum {
    NAME_COLUMN,
    STATUS_COLUMN,
    STREAM_COLUMN,
    KBPS_COLUMN,
    USER_COLUMN,
    VISIT_COLUMN,
    QS_COLUMN,
    QC_COLUMN,
    START_COLUMN,
    URL_COLUMN,
    DESCRIPTION_COLUMN,
    N_COLUMNS
};

enum{
	VLC,
	MPLAYER
};

enum {
    PLAYER,
    CHANNEL_COLOR,
    NULL_CHANNEL,
    CHANNEL_SORT,
    CONFIG
};


#endif
