

#ifndef VLCFORK_H
#define VLCFORK_H

#include "sopfork.h"

#include <vlc/vlc.h>
class PagePlay;
class Q3Process;
class TabWidget;

class VlcFork:public SopFork
{
  Q_OBJECT			/// 
public:
  VlcFork (TabWidget * tw = 0, QWidget * parent = 0, const char *name = 0);
   ~VlcFork ();
  bool forkPlayer ();
  void killPlayer ();
  Q3Process *player;
  libvlc_instance_t *inst;
  void stopPlayer ();
  libvlc_media_player_t *mp;
  bool isPlaying;

private:
    TabWidget * tabwidget;
  PagePlay *pageplay;

  private slots:		////
//    void onPlayerExit();
    protected slots:		/////
  void parseStdout ();
  void onSopExit ();


};

#endif
